Subject: Re: [PATCH net-next 0/8] Probing cleanup for the Felix DSA driver

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 31 May 2024 08:47:59 +0100

On Thu, May 30, 2024 at 10:08:10PM -0500, Colin Foster wrote:
> Hi Vladimir,
> 
> On Thu, May 30, 2024 at 07:33:25PM +0300, Vladimir Oltean wrote:
> > This is a follow-up to Russell King's request for code consolidation
> > among felix_vsc9959, seville_vsc9953 and ocelot_ext, stated here:
> > https://lore.kernel.org/all/[email-masked]/
> > 
> > Details are in individual patches. Testing was done on NXP LS1028A
> > (felix_vsc9959).
> > 
> > Vladimir Oltean (8):
> >   net: dsa: ocelot: use devres in ocelot_ext_probe()
> >   net: dsa: ocelot: use devres in seville_probe()
> >   net: dsa: ocelot: delete open coded status = "disabled" parsing
> >   net: dsa: ocelot: consistently use devres in felix_pci_probe()
> >   net: dsa: ocelot: move devm_request_threaded_irq() to felix_setup()
> >   net: dsa: ocelot: use ds->num_tx_queues = OCELOT_NUM_TC for all models
> >   net: dsa: ocelot: common probing code
> >   net: dsa: ocelot: unexport felix_phylink_mac_ops and felix_switch_ops
> > 
> >  drivers/net/dsa/ocelot/felix.c           |  62 ++++++++++++-
> >  drivers/net/dsa/ocelot/felix.h           |  10 +-
> >  drivers/net/dsa/ocelot/felix_vsc9959.c   | 113 +++++++----------------
> >  drivers/net/dsa/ocelot/ocelot_ext.c      |  55 +----------
> 
> Just FYI I tried testing this but hit an unrelated regression in 6.10,
> and a `git b4` on 6.9.3 has conflicts. So I'm still alive, but probably
> won't get to testing this tonight. Looks good though.

You will need... the net-next tree because it's dependent on a patch I
submitted earlier this week.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!